Returns the list of texts for the specified committee report.

GET /committeeReport/:congress/:reportType/:reportNumber/:text

Example Request

/v3/committeeReport/116/hrpt/617/text
::

{
    "textVersions": [
        {
            "formats": [
                {
                    "type": "Formatted Text",
                    "url": "116/crpt/hrpt617/generated/CRPT-116hrpt617.htm"
                },
                {
                    "type": "PDF",
                    "url": "116/crpt/hrpt617/CRPT-116hrpt617.pdf"
                },
                ...
            ]
        }
    ]
}
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
integer
required

The congress number. For example, the value can be 116.

string
required

The type of committee report. Value can be hrpt, srpt, or erpt.

integer
required

The committee report's assigned number. For example, the value can be 617.

Query Params
string

The data format. Value can be xml or json.

Responses
200

successful operation

400

Invalid status value

Language
Credentials
Query
LoadingLoading…
Response
Click Try It! to start a request and see the response here!